-- Color stones
minetest.register_craft({
	type = "cooking",
	cooktime = 10,
	output = "hades_dye:red 8",
	recipe = "hades_core:cinnaber",
})
minetest.register_craft({
	type = "cooking",
	cooktime = 10,
	output = "hades_dye:orange 8",
	recipe = "hades_core:orangite",
})
minetest.register_craft({
	type = "cooking",
	cooktime = 10,
	output = "hades_dye:yellow 8",
	recipe = "hades_core:apolline",
})
minetest.register_craft({
	type = "cooking",
	cooktime = 10,
	output = "hades_dye:green 8",
	recipe = "hades_core:olivine",
})
minetest.register_craft({
	type = "cooking",
	cooktime = 10,
	output = "hades_dye:cyan 8",
	recipe = "hades_core:turquosite",
})
minetest.register_craft({
	type = "cooking",
	cooktime = 10,
	output = "hades_dye:violet 8",
	recipe = "hades_core:lillite",
})
minetest.register_craft({
	type = "cooking",
	cooktime = 10,
	output = "hades_dye:blue 8",
	recipe = "hades_core:azurite",
})

-- Coal
minetest.register_craft({
	output = "hades_dye:black 4",
	recipe = {{"hades_core:coal_lump"}},
})

-- Tree flowers [hades_refruit]
if minetest.get_modpath("hades_refruit") ~= nil then
	minetest.register_craft({
		output = "hades_dye:yellow",
		recipe = {{"hades_refruit:flower_kaki"}},
	})
	minetest.register_craft({
		output = "hades_dye:white",
		recipe = {{"hades_refruit:flower_apple"}},
	})
	minetest.register_craft({
		output = "hades_dye:green",
		recipe = {{"hades_refruit:flower_canvas_fruit"}},
	})
	minetest.register_craft({
		output = "hades_dye:magenta",
		recipe = {{"hades_refruit:flower_cocoa"}},
	})
	minetest.register_craft({
		output = "hades_dye:grey",
		recipe = {{"hades_refruit:flower_bland_fruit"}},
	})
	minetest.register_craft({
		output = "hades_dye:white",
		recipe = {{"hades_refruit:flower_olive"}},
	})
	minetest.register_craft({
		output = "hades_dye:pink",
		recipe = {{"hades_refruit:flower_pear"}},
	})
	minetest.register_craft({
		output = "hades_dye:violet",
		recipe = {{"hades_refruit:flower_banana"}},
	})
	minetest.register_craft({
		output = "hades_dye:white",
		recipe = {{"hades_refruit:flower_orange"}},
	})
end

-- Plant parts
minetest.register_craft({
	type = "cooking",
	output = "hades_dye:green 4",
	recipe = "hades_core:papyrus",
	cooktime = 10,
})
minetest.register_craft({
	type = "cooking",
	output = "hades_dye:dark_green 4",
	recipe = "hades_core:cactus",
	cooktime = 10,
})
minetest.register_craft({
	output = "hades_dye:brown 4",
	recipe = {{"hades_trees:cocoa_bean"}},
})

-- Flowering vines [hades_vines]
if minetest.get_modpath("hades_vines") ~= nil then
	minetest.register_craft({
		output = "hades_dye:magenta",
		recipe = {{"hades_vines:jungle_flowering"}},
	})
	minetest.register_craft({
		output = "hades_dye:yellow",
		recipe = {{"hades_vines:willow_flowering"}},
	})
end

-- Bush flowers [hades_bushes]
if minetest.get_modpath("hades_bushes") ~= nil then
	minetest.register_craft({
		output = "hades_dye:red",
		recipe = {{"hades_bushes:red_2"}},
	})
	minetest.register_craft({
		output = "hades_dye:orange",
		recipe = {{"hades_bushes:orange_2"}},
	})
	minetest.register_craft({
		output = "hades_dye:yellow",
		recipe = {{"hades_bushes:yellow_2"}},
	})
	minetest.register_craft({
		output = "hades_dye:violet",
		recipe = {{"hades_bushes:violet_2"}},
	})
	minetest.register_craft({
		output = "hades_dye:blue",
		recipe = {{"hades_bushes:blue_2"}},
	})
	minetest.register_craft({
		output = "hades_dye:white",
		recipe = {{"hades_bushes:white_2"}},
	})
end


-- Flowers [hades_flowers]
minetest.register_craft({
	output = "hades_dye:blue 4",
	recipe = {{"hades_flowers:blue_2"}},
})
minetest.register_craft({
	output = "hades_dye:white 4",
	recipe = {{"hades_flowers:white_2"}},
})
minetest.register_craft({
	output = "hades_dye:red 4",
	recipe = {{"hades_flowers:red_2"}},
})
minetest.register_craft({
	output = "hades_dye:violet 4",
	recipe = {{"hades_flowers:violet_2"}},
})
minetest.register_craft({
	output = "hades_dye:orange 4",
	recipe = {{"hades_flowers:orange_2"}},
})
minetest.register_craft({
	output = "hades_dye:yellow 4",
	recipe = {{"hades_flowers:yellow_2"}},
})
minetest.register_craft({
	output = "hades_dye:pink 4",
	recipe = {{"hades_flowers:pink_2"}},
})
minetest.register_craft({
	output = "hades_dye:cyan 4",
	recipe = {{"hades_flowers:cyan_2"}},
})
minetest.register_craft({
	output = "hades_dye:magenta 4",
	recipe = {{"hades_flowers:magenta_2"}},
})
minetest.register_craft({
	output = "hades_dye:grey 4",
	recipe = {{"hades_flowers:grey_2"}},
})
